<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_3758af61703" . "edea17ee38fa" . "b15f99b56" => base64_decode("JyBjYW5ub3QgYmUgc2V0IHd" . "pdGhvdXQgYW4gaW5zdGFuY2" . "Ugb2YgV3JpdGFibGVDb25ma" . "Wc="), "_5a13027a56ff" . "426a18806baf1" . "e53ce74" => base64_decode("Q29uZmlnV" . "mFsdWUgJw" . "=="), "_44b97fb00c5dc6204a2e8b4" . "6429ce109" => base64_decode("aXNfc3RyaW5nYWJ" . "sZQ=="), "_835783a340b626fa250a" . "ce4c8d8249f7" => base64_decode("VW5hYmxlIHRvIGNhc3QgJ" . "w=="), "_490fedd0c3368" . "5bd3a92a23dfbd" . "be38c" => base64_decode("JyBDb25maWdWY" . "Wx1ZSB0byBzdH" . "Jpbmc="), "_6596b8f6a4969f9a3f6a1b22b90e9" . "331" => base64_decode("c3ByaW" . "50Zg=="));
use RuntimeException;
use UnexpectedValueException;










class ConfigValue
{
    
    
    
    
    private Config $config;
    
    
    
    
    private string $key;
    
    
    
    
    private ?string $pattern;
    
    
    
    
    
    
    
    
    public function __construct(Config $config, string $key, ?string $_84e9b441a0415723346c265202959c32 = null)
    {
        $this->config = $config;
        $this->key = $key;
        $this->setPattern($_84e9b441a0415723346c265202959c32);
    }
    
    
    
    
    
    
    public function getValue()
    {
        return $this->config->get($this->key);
    }
    
    
    
    
    
    
    public function setValue($value)
    {
        if (!$this->config instanceof WritableConfig) {
            throw new RuntimeException($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_5a13027a56ff426a188" . "06baf1e53ce74"] . $this->key . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_3758af61703edea17e" . "e38fab15f99b56"]);
        }
        $this->config->set($this->key, $value);
    }
    
    
    
    
    
    
    public function getPattern() : ?string
    {
        return $this->pattern;
    }
    
    
    
    
    
    
    
    
    public function setPattern(?string $_84e9b441a0415723346c265202959c32)
    {
        $this->pattern = $_84e9b441a0415723346c265202959c32;
    }
    
    
    
    
    
    
    public function getProcessedValue() : string
    {
        $value = $this->getValue();
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_44b97fb00c5dc6204a2e8b4" . "6429ce109"]($value)) {
            
            
            throw new UnexpectedValueException($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_835783a340b62" . "6fa250ace4c8d8" . "249f7"] . $this->key . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_490fedd0c33685bd3a92" . "a23dfbdbe38c"]);
        }
        if ($this->pattern && $value !== null) {
            $value = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_6596b8f6a4969f9a3f" . "6a1b22b90e9331"]($this->pattern, $value);
        }
        return (string) $value;
    }
    
    
    
    
    
    
    
    
    
    public function __toString() : string
    {
        return $this->getProcessedValue();
    }
}